'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_OR = _pluginContext$search.OP_OR,
        OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN,
        OP_RANGE = _pluginContext$search.OP_RANGE;
  const extensions = pluginContext.config.extensions;


  return {
    op: OP_OR,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:acquisitions_common/acquisitionReferenceNumber'
    }, {
      op: OP_RANGE,
      path: 'ns2:acquisitions_common/accessionDateGroup'
    }, {
      op: OP_RANGE,
      path: 'ns2:acquisitions_common/acquisitionDateGroupList/acquisitionDateGroup'
    }, {
      op: OP_EQ,
      path: 'ns2:acquisitions_common/acquisitionMethod'
    }, {
      op: OP_EQ,
      path: 'ns2:acquisitions_common/acquisitionSources/acquisitionSource'
    }, {
      op: OP_EQ,
      path: 'ns2:acquisitions_common/acquisitionFundingList/acquisitionFunding/acquisitionFundingSource'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:acquisitions_common/creditLine'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:acquisitions_common/fieldCollectionEventNames/fieldCollectionEventName'
    }, ...extensions.core.advancedSearch]
  };
};