'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = pluginContext => {
  var _pluginContext$format = pluginContext.formatHelpers;
  const formatRefName = _pluginContext$format.formatRefName,
        formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: {
      acquisitionReferenceNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.acquisition.default.acquisitionReferenceNumber',
            'defaultMessage': 'Reference number'
          }
        }),
        order: 10,
        sortBy: 'acquisitions_common:acquisitionReferenceNumber',
        width: 250
      },
      acquisitionSource: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.acquisition.default.acquisitionSource',
            'defaultMessage': 'Acquisition source'
          }
        }),
        order: 20,
        sortBy: 'acquisitions_common:acquisitionSources/0',
        width: 400
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.acquisition.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};