"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = pluginContext => {
  const React = pluginContext.lib.React;
  var _pluginContext$layout = pluginContext.layoutComponents;
  const Panel = _pluginContext$layout.Panel,
        Row = _pluginContext$layout.Row,
        Cols = _pluginContext$layout.Cols,
        Col = _pluginContext$layout.Col;
  var _pluginContext$record = pluginContext.recordComponents;
  const Field = _pluginContext$record.Field,
        InputTable = _pluginContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "acquisitionReferenceNumber" }),
          React.createElement(Field, { name: "accessionDateGroup" }),
          React.createElement(
            InputTable,
            { name: "acquisitionAuthorizer" },
            React.createElement(Field, { name: "acquisitionAuthorizer" }),
            React.createElement(Field, { name: "acquisitionAuthorizerDate" })
          ),
          React.createElement(
            Field,
            { name: "acquisitionDateGroupList" },
            React.createElement(Field, { name: "acquisitionDateGroup" })
          ),
          React.createElement(Field, { name: "acquisitionMethod" }),
          React.createElement(
            Field,
            { name: "acquisitionSources" },
            React.createElement(Field, { name: "acquisitionSource" })
          ),
          React.createElement(
            Field,
            { name: "owners" },
            React.createElement(Field, { name: "owner" })
          ),
          React.createElement(Field, { name: "transferOfTitleNumber" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Panel,
            { name: "priceInformation" },
            React.createElement(
              InputTable,
              { name: "groupPurchasePrice" },
              React.createElement(Field, { name: "groupPurchasePriceCurrency" }),
              React.createElement(Field, { name: "groupPurchasePriceValue" })
            ),
            React.createElement(
              InputTable,
              { name: "objectOfferPrice" },
              React.createElement(Field, { name: "objectOfferPriceCurrency" }),
              React.createElement(Field, { name: "objectOfferPriceValue" })
            ),
            React.createElement(
              InputTable,
              { name: "objectPurchaseOfferPrice" },
              React.createElement(Field, { name: "objectPurchaseOfferPriceCurrency" }),
              React.createElement(Field, { name: "objectPurchaseOfferPriceValue" })
            ),
            React.createElement(
              InputTable,
              { name: "objectPurchasePrice" },
              React.createElement(Field, { name: "objectPurchasePriceCurrency" }),
              React.createElement(Field, { name: "objectPurchasePriceValue" })
            ),
            React.createElement(
              InputTable,
              { name: "originalObjectPurchasePrice" },
              React.createElement(Field, { name: "originalObjectPurchasePriceCurrency" }),
              React.createElement(Field, { name: "originalObjectPurchasePriceValue" })
            )
          ),
          React.createElement(Field, { name: "acquisitionReason" })
        )
      ),
      React.createElement(Field, { name: "acquisitionNote" }),
      React.createElement(Field, { name: "acquisitionProvisos" }),
      React.createElement(
        Row,
        null,
        React.createElement(
          Field,
          { name: "acquisitionFundingList" },
          React.createElement(
            Field,
            { name: "acquisitionFunding" },
            React.createElement(Field, { name: "acquisitionFundingCurrency" }),
            React.createElement(Field, { name: "acquisitionFundingValue" }),
            React.createElement(Field, { name: "acquisitionFundingSource" }),
            React.createElement(Field, { name: "acquisitionFundingSourceProvisos" })
          )
        )
      ),
      React.createElement(Field, { name: "creditLine" })
    ),
    React.createElement(
      Panel,
      { name: "objectCollectionInformation", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(
          Field,
          { name: "fieldCollectionEventNames" },
          React.createElement(Field, { name: "fieldCollectionEventName" })
        )
      )
    )
  );
};

exports.default = pluginContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.acquisition.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(pluginContext)
});