'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

// FIXME: Plugins shouldn't have to import react-intl, since this unnecessarily increases the size
// when built as a standalone package. Instead, defineMessages should be supplied in the
// pluginContext. But this means that messages won't be extracted by the Babel plugin, since it
// only operates on files that import react-intl.

exports.default = {
  record: (0, _reactIntl.defineMessages)({
    name: {
      'id': 'record.aquisition.name',
      'defaultMessage': 'Acquisition'
    },
    collectionName: {
      'id': 'record.acquisition.collectionName',
      'defaultMessage': 'Acquisitions'
    }
  }),
  panel: (0, _reactIntl.defineMessages)({
    info: {
      'id': 'panel.acquisition.info',
      'defaultMessage': 'Acquisition Information'
    },
    objectCollectionInformation: {
      'id': 'panel.acquisition.objectCollectionInformation',
      'defaultMessage': 'Object Collection Information'
    },
    priceInformation: {
      'id': 'panel.acquisition.priceInformation',
      'defaultMessage': 'Price Information'
    }
  }),
  inputTable: (0, _reactIntl.defineMessages)({
    acquisitionAuthorizer: {
      'id': 'inputTable.acquisition.acquisitionAuthorizer',
      'defaultMessage': 'Authorization'
    },
    groupPurchasePrice: {
      'id': 'inputTable.acquisition.groupPurchasePrice',
      'defaultMessage': 'Group purchase price'
    },
    objectOfferPrice: {
      'id': 'inputTable.acquisition.objectOfferPrice',
      'defaultMessage': 'Object offer price'
    },
    objectPurchaseOfferPrice: {
      'id': 'inputTable.acquisition.objectPurchaseOfferPrice',
      'defaultMessage': 'Object purchaser offer price'
    },
    objectPurchasePrice: {
      'id': 'inputTable.acquisition.objectPurchasePrice',
      'defaultMessage': 'Object purchase price'
    },
    originalObjectPurchasePrice: {
      'id': 'inputTable.acquisition.originalObjectPurchasePrice',
      'defaultMessage': 'Original object purchase price'
    }
  })
};