"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = pluginContext => {
  const React = pluginContext.lib.React;
  var _pluginContext$layout = pluginContext.layoutComponents;
  const Col = _pluginContext$layout.Col,
        Cols = _pluginContext$layout.Cols,
        Panel = _pluginContext$layout.Panel,
        Row = _pluginContext$layout.Row;
  var _pluginContext$record = pluginContext.recordComponents;
  const Field = _pluginContext$record.Field,
        InputTable = _pluginContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Field,
        { name: "conceptTermGroupList" },
        React.createElement(
          Field,
          { name: "conceptTermGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "termDisplayName" }),
              React.createElement(Field, { name: "termName" }),
              React.createElement(Field, { name: "termQualifier" }),
              React.createElement(Field, { name: "termStatus" })
            ),
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "termType" }),
              React.createElement(Field, { name: "termFlag" }),
              React.createElement(Field, { name: "historicalStatus" }),
              React.createElement(Field, { name: "termLanguage" }),
              React.createElement(Field, { name: "termPrefForLang" })
            ),
            React.createElement(
              InputTable,
              { name: "termSource" },
              React.createElement(Field, { name: "termSource" }),
              React.createElement(Field, { name: "termSourceDetail" }),
              React.createElement(Field, { name: "termSourceID" }),
              React.createElement(Field, { name: "termSourceNote" })
            )
          )
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "conceptRecordTypes" },
            React.createElement(Field, { name: "conceptRecordType" })
          )
        ),
        React.createElement(Col, null)
      ),
      React.createElement(
        InputTable,
        { name: "scopeNote" },
        React.createElement(Field, { name: "scopeNote" }),
        React.createElement(Field, { name: "scopeNoteSource" }),
        React.createElement(Field, { name: "scopeNoteSourceDetail" })
      ),
      React.createElement(
        Field,
        { name: "citationGroupList" },
        React.createElement(
          Field,
          { name: "citationGroup" },
          React.createElement(Field, { name: "citationSource" }),
          React.createElement(Field, { name: "citationSourceDetail" })
        )
      ),
      React.createElement(
        Field,
        { name: "additionalSourceGroupList" },
        React.createElement(
          Field,
          { name: "additionalSourceGroup" },
          React.createElement(Field, { name: "additionalSource" }),
          React.createElement(Field, { name: "additionalSourceDetail" }),
          React.createElement(Field, { name: "additionalSourceUniqueID" }),
          React.createElement(Field, { name: "additionalSourceNote" })
        )
      )
    ),
    React.createElement(
      Panel,
      { name: "hierarchy", collapsible: true, collapsed: true },
      React.createElement(Field, { name: "relation-list-item", subpath: "rel:relations-common-list" })
    )
  );
};

exports.default = pluginContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.concept.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(pluginContext)
});