'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = pluginContext => {
  var _pluginContext$format = pluginContext.formatHelpers;
  const formatRefName = _pluginContext$format.formatRefName,
        formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: {
      conservationNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.conservation.default.conservationNumber',
            'defaultMessage': 'Reference number'
          }
        }),
        order: 10,
        sortBy: 'conservation_common:conservationNumber',
        width: 250
      },
      status: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.conservation.default.status',
            'defaultMessage': 'Status'
          }
        }),
        order: 20,
        sortBy: 'conservation_common:conservationStatusGroupList/0/status',
        width: 400
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.conservation.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};