'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_OR = _pluginContext$search.OP_OR,
        OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN,
        OP_RANGE = _pluginContext$search.OP_RANGE;
  const extensions = pluginContext.config.extensions;


  return {
    op: OP_OR,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:exhibitions_common/exhibitionNumber'
    }, {
      op: OP_EQ,
      path: 'ns2:exhibitions_common/type'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:exhibitions_common/title'
    }, {
      op: OP_EQ,
      path: 'ns2:exhibitions_common/sponsors/sponsor'
    }, {
      op: OP_EQ,
      path: 'ns2:exhibitions_common/organizers/organizer'
    }, {
      op: OP_EQ,
      path: 'ns2:exhibitions_common/venueGroupList/venueGroup/venue'
    }, {
      op: OP_RANGE,
      path: 'ns2:exhibitions_common/venueGroupList/venueGroup/venueOpeningDate'
    }, {
      op: OP_RANGE,
      path: 'ns2:exhibitions_common/venueGroupList/venueGroup/venueClosingDate'
    }, ...extensions.core.advancedSearch]
  };
};