'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = pluginContext => {
  var _pluginContext$format = pluginContext.formatHelpers;
  const formatRefName = _pluginContext$format.formatRefName,
        formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: {
      title: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.group.default.title',
            'defaultMessage': 'Title'
          }
        }),
        name: 'title',
        order: 10,
        sortBy: 'groups_common:title',
        width: 250
      },
      owner: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.group.default.owner',
            'defaultMessage': 'Owner'
          }
        }),
        formatValue: formatRefName,
        name: 'owner',
        order: 20,
        sortBy: 'groups_common:owner',
        width: 400
      },
      updatedAt: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.group.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        formatValue: formatTimestamp,
        name: 'updatedAt',
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};