'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

// FIXME: Plugins shouldn't have to import react-intl, since this unnecessarily increases the size
// when built as a standalone package. Instead, defineMessages should be supplied in the
// pluginContext. But this means that messages won't be extracted by the Babel plugin, since it
// only operates on files that import react-intl.

exports.default = {
  record: (0, _reactIntl.defineMessages)({
    name: {
      'id': 'record.intake.name',
      'defaultMessage': 'Intake'
    },
    collectionName: {
      'id': 'record.intake.collectionName',
      'defaultMessage': 'Intakes'
    }
  }),
  panel: (0, _reactIntl.defineMessages)({
    objectEntryInfo: {
      'id': 'panel.intake.objectEntryInfo',
      'defaultMessage': 'Object Entry Information'
    },
    objectCollectionInfo: {
      'id': 'panel.intake.objectCollectionInfo',
      'defaultMessage': 'Object Collection Information'
    },
    valuation: {
      'id': 'panel.intake.valuation',
      'defaultMessage': 'Valuation Information'
    },
    insurance: {
      'id': 'panel.intake.insurance',
      'defaultMessage': 'Insurance Information'
    },
    location: {
      'id': 'panel.intake.location',
      'defaultMessage': 'Location Information'
    },
    condition: {
      'id': 'panel.intake.condition',
      'defaultMessage': 'Condition Information'
    }
  }),
  inputTable: (0, _reactIntl.defineMessages)({
    depositor: {
      'id': 'inputTable.intake.depositor',
      'defaultMessage': 'Depositor'
    }
  })
};