'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => data => {
  var _pluginContext$record = pluginContext.recordDataHelpers;
  const getPart = _pluginContext$record.getPart,
        deepGet = _pluginContext$record.deepGet;
  const getDisplayName = pluginContext.refNameHelpers.getDisplayName;


  if (!data) {
    return '';
  }

  const common = getPart(data, 'loansin_common');

  if (!common) {
    return '';
  }

  const loanInNumber = common.get('loanInNumber');
  const borrower = getDisplayName(deepGet(common, ['lenderGroupList', 'lenderGroup', 0, 'lender']));

  return [loanInNumber, borrower].filter(part => !!part).join(' – ');
};