'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_OR = _pluginContext$search.OP_OR,
        OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN,
        OP_RANGE = _pluginContext$search.OP_RANGE;
  const extensions = pluginContext.config.extensions;


  return {
    op: OP_OR,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:loansout_common/loanOutNumber'
    }, {
      op: OP_EQ,
      path: 'ns2:loansout_common/loanPurpose'
    }, {
      op: OP_EQ,
      path: 'ns2:loansout_common/lendersAuthorizer'
    }, {
      op: OP_EQ,
      path: 'ns2:loansout_common/lendersContact'
    }, {
      op: OP_EQ,
      path: 'ns2:loansout_common/borrower'
    }, {
      op: OP_EQ,
      path: 'ns2:loansout_common/borrowersContact'
    }, {
      op: OP_EQ,
      path: 'ns2:loansout_common/borrowersAuthorizer'
    }, {
      op: OP_EQ,
      path: 'ns2:loansout_common/loanStatusGroupList/loanStatusGroup/loanStatus'
    }, {
      op: OP_RANGE,
      path: 'ns2:loansout_common/loanOutDate'
    }, {
      op: OP_RANGE,
      path: 'ns2:loansout_common/loanReturnDate'
    }, {
      op: OP_RANGE,
      path: 'ns2:loansout_common/loanRenewalApplicationDate'
    }, ...extensions.core.advancedSearch]
  };
};