'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_OR = _pluginContext$search.OP_OR,
        OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN;
  const extensions = pluginContext.config.extensions;


  return {
    op: OP_OR,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:locations_common/locTermGroupList/locTermGroup/termDisplayName'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:locations_common/locTermGroupList/locTermGroup/termName'
    }, {
      op: OP_EQ,
      path: 'ns2:locations_common/locTermGroupList/locTermGroup/termStatus'
    }, {
      op: OP_EQ,
      path: 'ns2:locations_common/locTermGroupList/locTermGroup/termFlag'
    }, {
      op: OP_EQ,
      path: 'ns2:locations_common/locTermGroupList/locTermGroup/termLanguage'
    }, {
      op: OP_EQ,
      path: 'ns2:locations_common/locationType'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:locations_common/securityNote'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:locations_common/address'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:locations_common/accessNote'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:locations_common/conditionGroupList/conditionGroup/conditionNote'
    }, ...extensions.core.advancedSearch]
  };
};