'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = pluginContext => {
  var _pluginContext$format = pluginContext.formatHelpers;
  const formatRefName = _pluginContext$format.formatRefName,
        formatTimestamp = _pluginContext$format.formatTimestamp,
        formatWorkflowStateIcon = _pluginContext$format.formatWorkflowStateIcon;


  return {
    default: {
      workflowState: {
        flexGrow: 0,
        flexShrink: 0,
        formatValue: formatWorkflowStateIcon,
        order: 10,
        width: 32
      },
      movementReferenceNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.movement.default.movementReferenceNumber',
            'defaultMessage': 'Reference number'
          }
        }),
        order: 20,
        sortBy: 'movements_common:movementReferenceNumber',
        width: 250
      },
      currentLocation: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.movement.default.currentLocation',
            'defaultMessage': 'Current location'
          }
        }),
        order: 30,
        sortBy: 'movements_common:currentLocation',
        width: 380
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.movement.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 40,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};