'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = pluginContext => {
  var _pluginContext$search = pluginContext.searchOperators;
  const OP_OR = _pluginContext$search.OP_OR,
        OP_EQ = _pluginContext$search.OP_EQ,
        OP_CONTAIN = _pluginContext$search.OP_CONTAIN,
        OP_RANGE = _pluginContext$search.OP_RANGE;
  const extensions = pluginContext.config.extensions;


  return {
    op: OP_OR,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:objectexit_common/exitNumber'
    }, {
      op: OP_RANGE,
      path: 'ns2:objectexit_common/exitDateGroup'
    }, {
      op: OP_EQ,
      path: 'ns2:objectexit_common/exitReason'
    }, {
      op: OP_EQ,
      path: 'ns2:objectexit_common/exitMethods/exitMethod'
    }, {
      op: OP_EQ,
      path: 'ns2:objectexit_common/currentOwner'
    }, {
      op: OP_EQ,
      path: 'ns2:objectexit_common/depositor'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:objectexit_common/exitNote'
    }, ...extensions.core.advancedSearch]
  };
};