"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = pluginContext => {
  const React = pluginContext.lib.React;
  var _pluginContext$layout = pluginContext.layoutComponents;
  const Panel = _pluginContext$layout.Panel,
        Row = _pluginContext$layout.Row,
        Cols = _pluginContext$layout.Cols,
        Col = _pluginContext$layout.Col;
  var _pluginContext$record = pluginContext.recordComponents;
  const Field = _pluginContext$record.Field,
        InputTable = _pluginContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "exitNumber" }),
          React.createElement(Field, { name: "exitDateGroup" }),
          React.createElement(Field, { name: "exitReason" }),
          React.createElement(
            Field,
            { name: "exitMethods" },
            React.createElement(Field, { name: "exitMethod" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "exitQuantity" }),
          React.createElement(Field, { name: "currentOwner" }),
          React.createElement(Field, { name: "depositor" })
        )
      ),
      React.createElement(Field, { name: "exitNote" }),
      React.createElement(Field, { name: "packingNote" })
    ),
    React.createElement(
      Panel,
      { name: "deaccessionDisposalInfo", collapsible: true, collapsed: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "displosalNewObjectNumber" }),
        React.createElement(Field, { name: "deaccessionAuthorizer" }),
        React.createElement(Field, { name: "authorizationDate" })
      ),
      React.createElement(
        Field,
        { name: "deacApprovalGroupList" },
        React.createElement(
          Field,
          { name: "deacApprovalGroup" },
          React.createElement(Field, { name: "deaccessionApprovalGroup" }),
          React.createElement(Field, { name: "deaccessionApprovalStatus" }),
          React.createElement(Field, { name: "deaccessionApprovalDate" })
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "deaccessionDate" }),
          React.createElement(Field, { name: "disposalDate" }),
          React.createElement(Field, { name: "disposalMethod" }),
          React.createElement(Field, { name: "displosalReason" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "disposalProposedRecipient" }),
          React.createElement(Field, { name: "disposalRecipient" }),
          React.createElement(
            InputTable,
            { name: "disposal" },
            React.createElement(Field, { name: "disposalCurrency" }),
            React.createElement(Field, { name: "displosalValue" })
          ),
          React.createElement(
            InputTable,
            { name: "groupDisposal" },
            React.createElement(Field, { name: "groupDisposalCurrency" }),
            React.createElement(Field, { name: "groupDisplosalValue" })
          )
        )
      ),
      React.createElement(Field, { name: "displosalProvisos" }),
      React.createElement(Field, { name: "displosalNote" })
    )
  );
};

exports.default = pluginContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.objectexit.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(pluginContext)
});