"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = pluginContext => {
  const React = pluginContext.lib.React;
  var _pluginContext$layout = pluginContext.layoutComponents;
  const Panel = _pluginContext$layout.Panel,
        Row = _pluginContext$layout.Row,
        Cols = _pluginContext$layout.Cols,
        Col = _pluginContext$layout.Col;
  var _pluginContext$record = pluginContext.recordComponents;
  const Field = _pluginContext$record.Field,
        InputTable = _pluginContext$record.InputTable,
        Subrecord = _pluginContext$record.Subrecord;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Field,
        { name: "orgTermGroupList" },
        React.createElement(
          Field,
          { name: "orgTermGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "termDisplayName" }),
              React.createElement(Field, { name: "termName" }),
              React.createElement(Field, { name: "termQualifier" }),
              React.createElement(Field, { name: "termStatus" })
            ),
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "termType" }),
              React.createElement(Field, { name: "termFlag" }),
              React.createElement(Field, { name: "termLanguage" }),
              React.createElement(Field, { name: "termPrefForLang" })
            ),
            React.createElement(
              InputTable,
              { name: "nameDetail" },
              React.createElement(Field, { name: "mainBodyName" }),
              React.createElement(Field, { name: "additionsToName" })
            ),
            React.createElement(
              InputTable,
              { name: "termSource" },
              React.createElement(Field, { name: "termSource" }),
              React.createElement(Field, { name: "termSourceDetail" }),
              React.createElement(Field, { name: "termSourceID" }),
              React.createElement(Field, { name: "termSourceNote" })
            )
          )
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "organizationRecordTypes" },
            React.createElement(Field, { name: "organizationRecordType" })
          ),
          React.createElement(Field, { name: "foundingDateGroup" }),
          React.createElement(Field, { name: "foundingPlace" }),
          React.createElement(Field, { name: "dissolutionDateGroup" }),
          React.createElement(
            Field,
            { name: "contactNames" },
            React.createElement(Field, { name: "contactName" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "groups" },
            React.createElement(Field, { name: "group" })
          ),
          React.createElement(
            Field,
            { name: "functions" },
            React.createElement(Field, { name: "function" })
          ),
          React.createElement(
            Field,
            { name: "historyNotes" },
            React.createElement(Field, { name: "historyNote" })
          )
        )
      )
    ),
    React.createElement(Subrecord, { name: "contact" }),
    React.createElement(
      Panel,
      { name: "hierarchy", collapsible: true, collapsed: true },
      React.createElement(Field, { name: "relation-list-item", subpath: "rel:relations-common-list" })
    )
  );
};

exports.default = pluginContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.organization.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(pluginContext)
});