'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = pluginContext => {
  var _pluginContext$format = pluginContext.formatHelpers;
  const formatOption = _pluginContext$format.formatOption,
        formatRefName = _pluginContext$format.formatRefName,
        formatTimestamp = _pluginContext$format.formatTimestamp;


  return {
    default: {
      taxonName: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.pottag.default.taxonName',
            'defaultMessage': 'Taxon name'
          }
        }),
        order: 10,
        sortBy: 'pottags_common:taxonName',
        width: 200
      },
      family: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.pottag.default.family',
            'defaultMessage': 'Family'
          }
        }),
        order: 20,
        sortBy: 'pottags_common:family',
        width: 200
      },
      printLabels: {
        formatValue: (data, formatterContext) => formatOption('printLabelOptions', data, formatterContext),
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.pottag.default.printLabels',
            'defaultMessage': 'Print labels'
          }
        }),
        order: 30,
        sortBy: 'pottags_common:printLabels',
        width: 150
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.pottag.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 40,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};