"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = pluginContext => {
  const React = pluginContext.lib.React;
  const Row = pluginContext.layoutComponents.Row;
  const Field = pluginContext.recordComponents.Field;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(Field, {
      name: "relation-list-item",
      subpath: "rel:relations-common-list",
      showChildren: false,
      showSiblings: false
    }),
    React.createElement(
      Row,
      null,
      React.createElement(Field, { name: "workType" }),
      React.createElement(
        Field,
        { name: "workDateGroupList" },
        React.createElement(
          Field,
          { name: "workDateGroup" },
          React.createElement(Field, { name: "workDate" })
        )
      )
    ),
    React.createElement(Field, { name: "workHistoryNote" })
  );
};

exports.default = pluginContext => ({
  disabled: true,
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.work.mini.name",
      "defaultMessage": "Mini Template"
    }
  }),
  template: template(pluginContext)
});